Bug 858840 - Online Accounts -> Microsoft Exchange
Online Accounts -> Microsoft Exchange
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 15:05 EDT by Mikhail
Modified: 2014-02-05 07:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:13:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (97.71 KB, image/png)
2012-09-19 15:06 EDT, Mikhail
no flags Details
online accounts - Exchange screenshot (16.61 KB, image/png)
2012-10-18 16:50 EDT, Mikhail
no flags Details
Evolution error screenshot (75.66 KB, image/png)
2012-10-18 16:51 EDT, Mikhail
no flags Details
workable settings for me when I work with exchange outside (82.98 KB, image/png)
2012-10-20 00:50 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2012-09-19 15:05:55 EDT
How I can use this??
I try enter my credentials for ews account but I can't connected, or it only work with mapi???

Please explain me this.
Comment 1 Mikhail 2012-09-19 15:06:20 EDT
Created attachment 614551 [details]
screenshot
Comment 2 Debarshi Ray 2012-10-15 09:22:29 EDT
(In reply to comment #0)
> How I can use this??
> I try enter my credentials for ews account but I can't connected, or it only
> work with mapi???

It is supposed to work with EWS, not Mapi.

What did you enter? Sometimes, the host name can not be guessed from the email, so you need to enter the host name separately.

Can you provide a screenshot of the error that you received? If you don't want to reveal your email / hostname in public, you can email it to me (debarshir@redhat.com).
Comment 3 Mikhail 2012-10-18 16:49:58 EDT
Ok, now seems I can add Exchange account, but:
1) Evolution see it only after re-logon.
2) Evolution can't work because incorrect resolve host name. (see my screenshots)
Comment 4 Mikhail 2012-10-18 16:50:43 EDT
Created attachment 629648 [details]
online accounts - Exchange screenshot
Comment 5 Mikhail 2012-10-18 16:51:46 EDT
Created attachment 629649 [details]
Evolution error screenshot
Comment 6 Debarshi Ray 2012-10-19 06:05:22 EDT
Looking at the second screenshot, I can confirm that cherry2.afbank.ru is not resolvable from here.
Comment 7 Milan Crha 2012-10-19 06:10:51 EDT
It's probably because the autodiscovery returns incorrect address - some internal name, instead of a public name (I suppose you do not need vpn to access your exchange mail server). You might want to fine-tune the address in account preferences in evolution, there is nothing we can do with it, it's the address the server returns as the end point for your exchange server.
Comment 8 Mikhail 2012-10-19 06:16:43 EDT
(In reply to comment #7)
> It's probably because the autodiscovery returns incorrect address - some
> internal name, instead of a public name (I suppose you do not need vpn to
> access your exchange mail server). You might want to fine-tune the address
> in account preferences in evolution, there is nothing we can do with it,
> it's the address the server returns as the end point for your exchange
> server.

Yes, cherry2.afbank.ru is internal name, but from outside I am can work if used mail2.afbank.ru address.
Comment 9 Mikhail 2012-10-20 00:50:04 EDT
Created attachment 630361 [details]
workable settings for me when I work with exchange outside
Comment 10 Debarshi Ray 2012-10-22 07:12:33 EDT
(In reply to comment #9)
> Created attachment 630361 [details]
> workable settings for me when I work with exchange outside

Ok. So are you saying that you can configure Exchange from GOA and use it from Evolution if you do it from outside your office?
Comment 11 Mikhail 2012-10-22 08:43:58 EDT
(In reply to comment #10)
> (In reply to comment #9)
> > Created attachment 630361 [details]
> > workable settings for me when I work with exchange outside
> 
> Ok. So are you saying that you can configure Exchange from GOA and use it
> from Evolution if you do it from outside your office?

yes. this screenshot prove it. 
what is GOA? :-)
Comment 12 Debarshi Ray 2012-10-24 17:13:50 EDT
GOA == GNOME Online Accounts or the Online Accounts panel in System Settings

Sorry, for using the acronym GOA. It can be confusing.

What I meant to ask is, do things work using the Online Accounts panel from outside your office but not inside? Or does it never work and you have to configure Evolution manually.

My test Exchange server was down for last few weeks. It is back up now, and I have a few Exchange bugs lined up. I will go through them next week.
Comment 13 Mikhail 2012-10-25 22:30:02 EDT
(In reply to comment #12)
> What I meant to ask is, do things work using the Online Accounts panel from
> outside your office but not inside? Or does it never work and you have to
> configure Evolution manually.

In F17 in GOA Microsoft Exchange is absent, and I was configure Evolution manually with address mail2.afbank.ru then I can read/write mail messages, use address book, and work with calendar. In F18 I see that Microsoft Exchange added to GOA I try configure it there but it not work there. :(
Comment 14 Fedora End Of Life 2013-12-21 03:54:11 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2014-02-05 07:13:45 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.